Repository (CMDB Model API)
Keywords: com.collation.platform.model.topology.process.Repository interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.process
Interface Repository

All Superinterfaces:
  LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

    public interface Repository

extends LogicalElement

A place where documents are stored

Naming Rules:
  0="URI"
Persistable:
  true
Table Name:
  REPOSITORY
Display Name:
  URI

Field Summary
`static java.lang.String` | `IBM_COPYRIGHT`

Method Summary
`Document[]` | `getDocuments()`
`java.lang.String` | `getURI()` The globally-unique resource identifier for this repository
`boolean` | `hasDocuments()`
`boolean` | `hasURI()`
`void` | `setDocuments(Document[] x)`
`void` | `setURI(java.lang.String x)`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Field Detail

### IBM_COPYRIGHT

    static final java.lang.String IBM_COPYRIGHT

See Also:
  Constant Field Values

Method Detail

### getDocuments

    Document[] getDocuments()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.Federates" reverse="false"

### setDocuments

    void setDocuments(Document[] x)

### hasDocuments

    boolean hasDocuments()

### getURI

    java.lang.String getURI()
                            throws AttributeNotSetException

  The globally-unique resource identifier for this repository

  Throws:
    `AttributeNotSetException`

### setURI

    void setURI(java.lang.String x)

### hasURI

    boolean hasURI()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD